# Class TCustomCefNavigationEntryVisitor

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFNavigationEntryVisitor

## Declaration

`type TCustomCefNavigationEntryVisitor = class(TCefNavigationEntryVisitorOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefNavigationEntryVisitorOwn
- TCustomCefNavigationEntryVisitor

## Overview

### Fields

| `FEvents: Pointer;`

### Methods

| `function Visit(const entry: ICefNavigationEntry; current: Boolean; index, total: Integer): Boolean; override;`
| `constructor Create(const aEvents : IChromiumEvents); reintroduce;`
| `destructor Destroy; override;`

## Description

### Fields

| `FEvents: Pointer;`
This item has no description.

### Methods

| `function Visit(const entry: ICefNavigationEntry; current: Boolean; index, total: Integer): Boolean; override;`
This item has no description. Showing description inherited from ICefNavigationEntryVisitor.Visit. Method that will be executed. Do not keep a reference to |entry| outside of this callback. Return true (1) to continue visiting entries or false (0) to stop. |current| is true (1) if this entry is the currently loaded navigation entry. |index| is the 0-based index of this entry and |total| is the total number of entries.

| `constructor Create(const aEvents : IChromiumEvents); reintroduce;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.